For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
            • GETList Product Variant Options
            • POSTCreate Product Variant Option
            • GETGet Product Variant Option
            • PUTUpdate Product Variant Option
            • DELDelete Product Variant Option
              • GETList Product Variant Option Values
              • POSTCreate Product Variant Option Value
              • GETGet Product Variant Option Value
              • PUTUpdate Product Variant Option Value
              • DELDelete Product Variant Option Value
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct Variant OptionsValues

Delete Product Variant Option Value

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id/values/:value_id
DELETE
/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id/values/:value_id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/options/1/values/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes a Variant Option Value.

Was this page helpful?
Previous

Update Product Variant Option Value

Next

Abandoned Cart Emails

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

option_idintegerRequired

The ID of the Option.

value_idintegerRequired

The ID of the Modifier/Option Value.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response